#include <stdlib.h>

#include "lfcrypto.h"

const unsigned char *one_byte_xor(const unsigned char *hex, size_t sz, char c) {
    unsigned char *buf = malloc(sizeof(unsigned char) * sz);
    for (size_t i = 0; i < sz; ++i) {
        buf[i] = hex[i] ^ c;
    }
    return buf;
}

const char *one_byte_xor_s(const unsigned char *hex, size_t sz, char c) {
    unsigned char buf[sz];
    for (size_t i = 0; i < sz; ++i) {
        buf[i] = hex[i] ^ c;
    }
    const char *encode = hex_to_str(buf, sz);
    return encode;
}
